// subpages/orderconfirm/orderconfirm.js
var app = getApp();
Page({

    /**
     * 页面的初始数据
     */
    data: {
        token: '',
        imgUrl: app.shopImgUrl,
        addressBean: {},
        hidePageLoading: false,
        goodsList: [],
        imgUrl: app.shopImgUrl,
        remark: '',
        totalPrice: 0
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        var _self = this;
        _self.getToken().then(result => {
            _self.getDefaultAddress();
            _self.getGoodsCar();
        })
    },
    getToken() {
        var self = this;
        return new Promise(resolve => {
            wx.getStorage({
                key: 'token',
                success(res) {
                    self.setData({
                        token: res.data
                    })
                    return resolve();
                }
            })
        })
    },
    //获取默认地址
    getDefaultAddress() {
        var _self = this;
        app.restAjax.get(app.restAjax.path('{shopUrl}/app/shopaddress/getdefault', [app.shopUrl]), null, {
            headers: {
                token: _self.data.token
            }
        }, function (code, data) {
            wx.hideLoading()
            if (code == 200) {
                _self.setData({
                    addressBean: data,
                    hidePageLoading: true
                })
            }
        }, function (code, data) {
            app.dialog.msg(data.msg)
            _self.setData({
                hidePageLoading: true
            })
        });
    },
    getGoodsCar() {
        var _self = this;
        var tempPrice = 0;
        try {
            var carList = wx.getStorageSync('carlist');
            console.log(carList)
            if (carList) {
                for (let i = 0; i < carList.length; i++) {
                    const item = carList[i];
                    if (item.isCheck) {
                        _self.data.goodsList.push(item);
                        tempPrice = item.carAmount * item.goodsPrice + tempPrice;
                    }
                }
                _self.setData({
                    goodsList: _self.data.goodsList,
                    totalPrice: tempPrice
                })
            }
        } catch (error) {

        }
    },
    inputRemark(e) {
        var value = e.detail.value
        this.setData({
            remark: value
        })
    },
    doSelAddress() {
        //选择地址
    },
    checkParams() {

    },
    doSave() {

    }
})